# Interface methods for submodule: FFTDiscreteGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DiscreteGaussianImageFilterProxy as _DiscreteGaussianImageFilterProxy


# Interface methods for class: FFTDiscreteGaussianImageFilter
class FFTDiscreteGaussianImageFilterProxy(_DiscreteGaussianImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInputBoundaryCondition(self, arg0) -> None:
		""""""
		...

	def SetKernelSource(self, _arg) -> None:
		""""""
		...

	def GetKernelSource(self):
		""""""
		...

	def GetKernelImage(self):
		""""""
		...

